#ifndef GPK_ERR_H
# define GPK_ERR_H

# ifndef GPK_STD_H
#  include <gpk_std.h>
# endif

void gpk_hidden_abort(C char *prgm, C char *a, C char *b=0);
void gpk_hidden_err(C char *prgm, C char *a, C char *b=0);
void gpk_hidden_warn(C char *prgm, C char *a, C char *b=0);

# define gpk_abort(a,b)	gpk_hidden_abort(__FILE__, (a), (b))
# define gpk_err(a,b)	gpk_hidden_err(__FILE__, (a), (b))
# define gpk_warn(a,b)	gpk_hidden_warn(__FILE__, (a), (b))

#endif
